<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="globals.xhtml"><span>All</span></a></li>
      <li><a href="globals_func.xhtml"><span>Functions</span></a></li>
      <li><a href="globals_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="globals_type.xhtml"><span>Typedefs</span></a></li>
      <li class="current"><a href="globals_defs.xhtml"><span>Macros</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="#index_a"><span>a</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_d"><span>d</span></a></li>
      <li><a href="#index_e"><span>e</span></a></li>
      <li><a href="#index_f"><span>f</span></a></li>
      <li><a href="#index_h"><span>h</span></a></li>
      <li><a href="#index_i"><span>i</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_m"><span>m</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_v"><span>v</span></a></li>
      <li><a href="#index_w"><span>w</span></a></li>
      <li><a href="#index_x"><span>x</span></a></li>
      <li class="current"><a href="#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('globals_defs.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>ADD
: <a class="el" href="arithmetic__op_8cl.xhtml#af3b709fb668cf93ca09e2a46a2a031a8">arithmetic_op.cl</a>
</li>
<li>ARM_COMPUTE_CL
: <a class="el" href="cl__convolution_8cpp.xhtml#a9915340d2c3c10c51e07994dde353f01">cl_convolution.cpp</a>
, <a class="el" href="cl__events_8cpp.xhtml#a9915340d2c3c10c51e07994dde353f01">cl_events.cpp</a>
, <a class="el" href="neoncl__scale__median__gaussian_8cpp.xhtml#a9915340d2c3c10c51e07994dde353f01">neoncl_scale_median_gaussian.cpp</a>
</li>
<li>ARM_COMPUTE_CONST_ON_ERROR
: <a class="el" href="_error_8h.xhtml#a50048c593c53405cca5b0d69dfe25554">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR
: <a class="el" href="_error_8h.xhtml#a05b19c75afe9c24200a62b9724734bbd">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_LOC
: <a class="el" href="_error_8h.xhtml#af93757c5021d1802b094dfbead459391">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON
: <a class="el" href="_error_8h.xhtml#a54a6080c9f4df1f908e57a9bbb46f5da">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_CHANNEL_NOT_IN
: <a class="el" href="_validate_8h.xhtml#a350e28d20c8bd44408f14ad634c9c2ff">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_CHANNEL_NOT_IN_KNOWN_FORMAT
: <a class="el" href="_validate_8h.xhtml#a35784b5583a4b264f0583a83fae77f80">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_COORDINATES_DIMENSIONS_GTE
: <a class="el" href="_validate_8h.xhtml#aecee2852b71597de947ff5ec4b9765f6">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_DATA_TYPE_CHANNEL_NOT_IN
: <a class="el" href="_validate_8h.xhtml#aadf5c9cff86327b96d88d04649d9715e">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_DATA_TYPE_NOT_IN
: <a class="el" href="_validate_8h.xhtml#a4264d7e3318c4188e48127a75f3f0f8a">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_FORMAT_NOT_IN
: <a class="el" href="_validate_8h.xhtml#a0d34a8aa07600727e4e5034c7cdad47d">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_INVALID_MULTI_HOG
: <a class="el" href="_validate_8h.xhtml#abced8d9603a5927ebad9de2528f48962">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_INVALID_SUBWINDOW
: <a class="el" href="_validate_8h.xhtml#a6eb9ce82815fe429250189da7592ba75">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_LOC
: <a class="el" href="_error_8h.xhtml#ac90c3bce005225cbaa4a43740917bb58">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_LOC_MSG
: <a class="el" href="_error_8h.xhtml#a1b62e396a1789909dadda61ea4cda96f">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_MISMATCHING_DATA_TYPES
: <a class="el" href="_validate_8h.xhtml#a5befbfaf6bc224eabc58b5e88b1de6d1">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_MISMATCHING_SHAPES
: <a class="el" href="_validate_8h.xhtml#aafce5e9928fac427dcd29d960bcf2ae3">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_MISMATCHING_WINDOWS
: <a class="el" href="_validate_8h.xhtml#a57b20c050f8af67775d6da1b6febf038">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_MSG
: <a class="el" href="_error_8h.xhtml#a5bbdcf574d3f5e412fa6a1117911e67b">Error.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_TENSOR_NOT_2D
: <a class="el" href="_validate_8h.xhtml#abbd63a8040ec1e44308da1d3be3732ae">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_UNCONFIGURED_KERNEL
: <a class="el" href="_validate_8h.xhtml#a1b35b0d258183cf9ef36adf684d0b88c">Validate.h</a>
</li>
<li>ARM_COMPUTE_ERROR_ON_WINDOW_DIMENSIONS_GTE
: <a class="el" href="_validate_8h.xhtml#af5084ef537306d09b1ef82aed5d1f63f">Validate.h</a>
</li>
<li>ARM_COMPUTE_UNUSED
: <a class="el" href="_error_8h.xhtml#a4103adbb45806b2f2002d44b91d0d206">Error.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>CHECK_CORNER
: <a class="el" href="fast__corners_8cl.xhtml#a2e2df45f46c673a1a5a1c8f4eb06aa09">fast_corners.cl</a>
</li>
<li>check_pixel
: <a class="el" href="canny_8cl.xhtml#a64ee229d1bcee88c8017356d5d485650">canny.cl</a>
</li>
<li>CL_HPP_CL_1_2_DEFAULT_BUILD
: <a class="el" href="_open_c_l_8h.xhtml#a68d54dc532d47c93108cfcdf8c415e43">OpenCL.h</a>
</li>
<li>CL_HPP_ENABLE_EXCEPTIONS
: <a class="el" href="_open_c_l_8h.xhtml#ae7c96c1469662004d842704e2ff076fb">OpenCL.h</a>
</li>
<li>CL_HPP_MINIMUM_OPENCL_VERSION
: <a class="el" href="_open_c_l_8h.xhtml#a2053025c576bcf48e249dd20e884a560">OpenCL.h</a>
</li>
<li>CL_HPP_TARGET_OPENCL_VERSION
: <a class="el" href="_open_c_l_8h.xhtml#a37ea07405ca286c1570612b42d43b345">OpenCL.h</a>
</li>
<li>CLAMP
: <a class="el" href="helpers_8h.xhtml#aabdbe431f2713c5c2604cb9872b66aab">helpers.h</a>
</li>
<li>COMPUTE_TYPE
: <a class="el" href="convolution5x5_8cl.xhtml#a26babb0c719990ecbdf3abc6de920875">convolution5x5.cl</a>
, <a class="el" href="convolution7x7_8cl.xhtml#a26babb0c719990ecbdf3abc6de920875">convolution7x7.cl</a>
, <a class="el" href="convolution9x9_8cl.xhtml#a26babb0c719990ecbdf3abc6de920875">convolution9x9.cl</a>
</li>
<li>CONVERT
: <a class="el" href="helpers_8h.xhtml#aa8d95ba04fc73845abc6045952cae5be">helpers.h</a>
</li>
<li>CONVERT_DOWN
: <a class="el" href="depth__convert_8cl.xhtml#a5b0d9908c0af31eaa7a31d0b5cf8e56d">depth_convert.cl</a>
</li>
<li>CONVERT_OP_FLOAT
: <a class="el" href="pixelwise__mul__float_8cl.xhtml#ae564a6abd6049a086c7933daa40c8eb8">pixelwise_mul_float.cl</a>
</li>
<li>CONVERT_OP_FLOAT_STR
: <a class="el" href="pixelwise__mul__float_8cl.xhtml#aa79b968718a9e073dd6f14a15a6f3e8b">pixelwise_mul_float.cl</a>
</li>
<li>CONVERT_OP_INT
: <a class="el" href="pixelwise__mul__int_8cl.xhtml#a478b722e2fd0948edb821254c5ee00e4">pixelwise_mul_int.cl</a>
</li>
<li>CONVERT_OP_INT_STR
: <a class="el" href="pixelwise__mul__int_8cl.xhtml#a31d9b9d3d2578e81049a045f6e11f78e">pixelwise_mul_int.cl</a>
</li>
<li>CONVERT_SAT
: <a class="el" href="helpers_8h.xhtml#a23fb01b6f3453cc0e48a026fd44f6acd">helpers.h</a>
</li>
<li>CONVERT_SAT_ROUND
: <a class="el" href="helpers_8h.xhtml#a28b2b123792a5b11a32cb05a6d327437">helpers.h</a>
</li>
<li>CONVERT_SAT_ROUND_STR
: <a class="el" href="helpers_8h.xhtml#a341a0c28698c3f6bd171df1771c5a512">helpers.h</a>
</li>
<li>CONVERT_SAT_STR
: <a class="el" href="helpers_8h.xhtml#a4e0fc93c9a69863dcdf7672ab547026c">helpers.h</a>
</li>
<li>CONVERT_STR
: <a class="el" href="helpers_8h.xhtml#a4090567b3adb034c7cc1af308cb45670">helpers.h</a>
</li>
<li>CONVERT_TO_IMAGE_STRUCT
: <a class="el" href="helpers_8h.xhtml#aebe814363556c244be043b13e7969197">helpers.h</a>
</li>
<li>CONVERT_TO_IMAGE_STRUCT_NO_STEP
: <a class="el" href="helpers_8h.xhtml#a4334a4a76f8e9628c0fb9e1acf616e2a">helpers.h</a>
</li>
<li>CONVERT_TO_TENSOR3D_STRUCT
: <a class="el" href="helpers_8h.xhtml#a31c8c760f08fb1a331b16b7c204321dc">helpers.h</a>
</li>
<li>CONVERT_TO_TENSOR3D_STRUCT_NO_STEP
: <a class="el" href="helpers_8h.xhtml#a79e8e562daa6599317d2d1cd86ef1bf2">helpers.h</a>
</li>
<li>CONVERT_TO_VECTOR_STRUCT
: <a class="el" href="helpers_8h.xhtml#a527bfdf5eeb306f1cf01c4a8e29f38e0">helpers.h</a>
</li>
<li>CONVERT_TO_VECTOR_STRUCT_NO_STEP
: <a class="el" href="helpers_8h.xhtml#a64d779f80eeb923e0ab2313433f7b40b">helpers.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_d"></a>- d -</h3><ul>
<li>D0
: <a class="el" href="optical__flow__pyramid__lk_8cl.xhtml#ae0b2360d4b8e961bf2709b0663fd9f2a">optical_flow_pyramid_lk.cl</a>
</li>
<li>D1
: <a class="el" href="optical__flow__pyramid__lk_8cl.xhtml#a52deba56234661c77d4b9573d5175ae2">optical_flow_pyramid_lk.cl</a>
</li>
<li>DATA_TYPE
: <a class="el" href="convolution5x5_8cl.xhtml#afb8c72ce35c4a1f4a2588d6573e54aa1">convolution5x5.cl</a>
, <a class="el" href="convolution7x7_8cl.xhtml#afb8c72ce35c4a1f4a2588d6573e54aa1">convolution7x7.cl</a>
, <a class="el" href="convolution3x3_8cl.xhtml#afb8c72ce35c4a1f4a2588d6573e54aa1">convolution3x3.cl</a>
, <a class="el" href="convolution9x9_8cl.xhtml#afb8c72ce35c4a1f4a2588d6573e54aa1">convolution9x9.cl</a>
, <a class="el" href="softmax__layer_8cl.xhtml#afb8c72ce35c4a1f4a2588d6573e54aa1">softmax_layer.cl</a>
</li>
<li>DATA_TYPE_MAX
: <a class="el" href="minmaxloc_8cl.xhtml#afa6b114aa46a23bb226c5c9547f9f623">minmaxloc.cl</a>
</li>
<li>DATA_TYPE_MIN
: <a class="el" href="minmaxloc_8cl.xhtml#a17decce255d6f94a60379a61a54e3bac">minmaxloc.cl</a>
</li>
<li>DATA_TYPE_OUT
: <a class="el" href="convolution3x3_8cl.xhtml#ac06f3e24d3fffd3c465d8b2a6e7c985e">convolution3x3.cl</a>
, <a class="el" href="convolution5x5_8cl.xhtml#ac06f3e24d3fffd3c465d8b2a6e7c985e">convolution5x5.cl</a>
, <a class="el" href="convolution7x7_8cl.xhtml#ac06f3e24d3fffd3c465d8b2a6e7c985e">convolution7x7.cl</a>
, <a class="el" href="convolution9x9_8cl.xhtml#ac06f3e24d3fffd3c465d8b2a6e7c985e">convolution9x9.cl</a>
</li>
<li>DETERMINANT_THR
: <a class="el" href="optical__flow__pyramid__lk_8cl.xhtml#a0f3927d942874a04e6464bdb946de046">optical_flow_pyramid_lk.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_e"></a>- e -</h3><ul>
<li>EDGE
: <a class="el" href="canny_8cl.xhtml#ac243bfa96aa2c28014159ff098bd2324">canny.cl</a>
</li>
<li>EIGENVALUE_THR
: <a class="el" href="optical__flow__pyramid__lk_8cl.xhtml#a3955a0fbedb5b3eae9a38801fb01bac5">optical_flow_pyramid_lk.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_f"></a>- f -</h3><ul>
<li>FLT_SCALE
: <a class="el" href="optical__flow__pyramid__lk_8cl.xhtml#a1852457538f524c42f96b66882bd9b35">optical_flow_pyramid_lk.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_h"></a>- h -</h3><ul>
<li>hysteresis_local_stack_L1
: <a class="el" href="canny_8cl.xhtml#a242e5ec23ae26cd2dfa5eab5ae68a0f1">canny.cl</a>
</li>
<li>hysteresis_local_stack_L2
: <a class="el" href="canny_8cl.xhtml#aa55093fb165fb76898efb3ba80f62bae">canny.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>IMAGE_DECLARATION
: <a class="el" href="helpers_8h.xhtml#a22f42fcf2077d951271df83b55c1a71a">helpers.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_l"></a>- l -</h3><ul>
<li>LOAD_AND_SET_MASK
: <a class="el" href="fast__corners_8cl.xhtml#a9da9e257c05fa101dacfaaedd305f5bb">fast_corners.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_m"></a>- m -</h3><ul>
<li>MAGNITUDE_OP
: <a class="el" href="magnitude__phase_8cl.xhtml#a259a59d7a4f247119c457af235827a29">magnitude_phase.cl</a>
</li>
<li>MAT_INDEX
: <a class="el" href="convolution__rectangle_8cl.xhtml#a61020724430287ed1cd963e312ca47d2">convolution_rectangle.cl</a>
</li>
<li>MINVAL
: <a class="el" href="softmax__layer_8cl.xhtml#a80b22c555ddadb47cc6ca338a9c49126">softmax_layer.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_p"></a>- p -</h3><ul>
<li>PHASE_OP
: <a class="el" href="magnitude__phase_8cl.xhtml#a4434551334149479f843f87424bbb8c8">magnitude_phase.cl</a>
</li>
<li>POOL_OP
: <a class="el" href="pooling__layer_8cl.xhtml#a482ef7d59a5f474ca126e737c7f0978a">pooling_layer.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>SELECT_DATA_TYPE
: <a class="el" href="softmax__layer_8cl.xhtml#af5b2e33e3c5fcaab3a213f26c2300170">softmax_layer.cl</a>
</li>
<li>SOBEL1x1_HOR
: <a class="el" href="sobel__filter_8cl.xhtml#ad40297671e8a51899c6114386492006b">sobel_filter.cl</a>
</li>
<li>SOBEL1x1_VERT
: <a class="el" href="sobel__filter_8cl.xhtml#a400b86850d6a242a7f48804a097c6403">sobel_filter.cl</a>
</li>
<li>SOBEL1x7
: <a class="el" href="sobel__filter_8cl.xhtml#a7f602251e0a1f8710f8aab3aef09a36b">sobel_filter.cl</a>
</li>
<li>SOBEL7x1
: <a class="el" href="sobel__filter_8cl.xhtml#a59f291bf2b268f9b850fa81a3fbf776a">sobel_filter.cl</a>
</li>
<li>SORT
: <a class="el" href="non__linear__filter__helpers_8h.xhtml#ac226bc1ed04fd7d4865263484ed22a47">non_linear_filter_helpers.h</a>
</li>
<li>SUB
: <a class="el" href="arithmetic__op_8cl.xhtml#aafc2c4f262a0686c07f86c7d2e1d8d14">arithmetic_op.cl</a>
</li>
<li>SWAP_4x4
: <a class="el" href="transpose_8cl.xhtml#af5dc9980a3e0aae2cba22e97b9458bc9">transpose.cl</a>
</li>
<li>SWAP_8x8
: <a class="el" href="transpose_8cl.xhtml#a91074bda470bd8bec36799fdaffd107a">transpose.cl</a>
</li>
<li>SWAP_ROW
: <a class="el" href="transpose_8cl.xhtml#a53bd970b471b909bef8456b6b564f35e">transpose.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_t"></a>- t -</h3><ul>
<li>TENSOR3D_DECLARATION
: <a class="el" href="helpers_8h.xhtml#a6b83038822d1ae7ab619b684ed3b7fc0">helpers.h</a>
</li>
<li>TRANSPOSE_16x16
: <a class="el" href="transpose_8cl.xhtml#ae6c2b1bad97366395ba7a9a688533ff4">transpose.cl</a>
</li>
<li>TRANSPOSE_4x4
: <a class="el" href="transpose_8cl.xhtml#a093adbe8897f56bc8d0998f5cad57c8a">transpose.cl</a>
</li>
<li>TRANSPOSE_8x8
: <a class="el" href="transpose_8cl.xhtml#ad037a4e8ddc84de9c0512a2d4ee693bf">transpose.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_v"></a>- v -</h3><ul>
<li>VATOMIC_INC16
: <a class="el" href="histogram_8cl.xhtml#a2c8a35cfde24ca7728709200962e1a91">histogram.cl</a>
</li>
<li>VEC_DATA_TYPE
: <a class="el" href="helpers_8h.xhtml#a36f754c05b6fddf6df0d8d0a74f8159f">helpers.h</a>
</li>
<li>VEC_DATA_TYPE_STR
: <a class="el" href="helpers_8h.xhtml#ae802822defb0fa3a7f74f98e324696cb">helpers.h</a>
</li>
<li>VECTOR_DECLARATION
: <a class="el" href="helpers_8h.xhtml#a40a6eb9f2a7712f08d6bb8ff6c9e6ca7">helpers.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_w"></a>- w -</h3><ul>
<li>W_BITS
: <a class="el" href="optical__flow__pyramid__lk_8cl.xhtml#aab6bf9cc4b300f72d07a2ebe9939f376">optical_flow_pyramid_lk.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_x"></a>- x -</h3><ul>
<li>X0
: <a class="el" href="sobel__filter_8cl.xhtml#a8476f4a8de2c191433342c9ce896986a">sobel_filter.cl</a>
</li>
<li>X1
: <a class="el" href="sobel__filter_8cl.xhtml#a1964818ccd90a6173ea48cecb652feeb">sobel_filter.cl</a>
</li>
<li>X2
: <a class="el" href="sobel__filter_8cl.xhtml#a79ae03a0214cb30e57b9e8835f2a0019">sobel_filter.cl</a>
</li>
<li>X3
: <a class="el" href="sobel__filter_8cl.xhtml#adb6fd3d004959525c6a684b82ef50860">sobel_filter.cl</a>
</li>
<li>X4
: <a class="el" href="sobel__filter_8cl.xhtml#a0f79fa7387c308a89a30682d905aa40a">sobel_filter.cl</a>
</li>
<li>X5
: <a class="el" href="sobel__filter_8cl.xhtml#a921884524c9038883b25f03d3bd1b078">sobel_filter.cl</a>
</li>
<li>X6
: <a class="el" href="sobel__filter_8cl.xhtml#a0e11bba5150b8ae2a8831f6f4532e352">sobel_filter.cl</a>
</li>
</ul>


<h3><a class="anchor" id="index_y"></a>- y -</h3><ul>
<li>Y0
: <a class="el" href="sobel__filter_8cl.xhtml#a0b0dcdd1ffa302474e907d3d7ad9dbfe">sobel_filter.cl</a>
</li>
<li>Y1
: <a class="el" href="sobel__filter_8cl.xhtml#a294189cdea31dda8faf609b9b3e2000a">sobel_filter.cl</a>
</li>
<li>Y2
: <a class="el" href="sobel__filter_8cl.xhtml#a3128cc29e366777d66d8b049451ca8a0">sobel_filter.cl</a>
</li>
<li>Y3
: <a class="el" href="sobel__filter_8cl.xhtml#a676acf01638364a90adf5d09d2a215bf">sobel_filter.cl</a>
</li>
<li>Y4
: <a class="el" href="sobel__filter_8cl.xhtml#a5a8e903c2373c4d65724c79cdea8b3d9">sobel_filter.cl</a>
</li>
<li>Y5
: <a class="el" href="sobel__filter_8cl.xhtml#a770267173956bf918cf3ca1247b6de12">sobel_filter.cl</a>
</li>
<li>Y6
: <a class="el" href="sobel__filter_8cl.xhtml#abcdba0de8723fe6f2d2eb284d7e98a41">sobel_filter.cl</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
